use utf8;
package Pooru::Schema::Result::Tag;

# Created by DBIx::Class::Schema::Loader
# DO NOT MODIFY THE FIRST PART OF THIS FILE

=head1 NAME

Pooru::Schema::Result::Tag

=cut

use strict;
use warnings;

use base 'DBIx::Class::Core';

=head1 TABLE: C<tag>

=cut

__PACKAGE__->table("tag");

=head1 ACCESSORS

=head2 id

  data_type: 'integer'
  is_auto_increment: 1
  is_nullable: 0

=head2 name

  data_type: 'text'
  is_nullable: 0
  size: 256

=head2 kind_id

  data_type: 'text'
  is_foreign_key: 1
  is_nullable: 1
  size: 32

=head2 display

  data_type: 'text '
  is_nullable: 1
  size: 289

=cut

__PACKAGE__->add_columns(
  "id",
  { data_type => "integer", is_auto_increment => 1, is_nullable => 0 },
  "name",
  { data_type => "text", is_nullable => 0, size => 256 },
  "kind_id",
  { data_type => "text", is_foreign_key => 1, is_nullable => 1, size => 32 },
  "display",
  { data_type => "text ", is_nullable => 1, size => 289 },
);

=head1 PRIMARY KEY

=over 4

=item * L</id>

=back

=cut

__PACKAGE__->set_primary_key("id");

=head1 UNIQUE CONSTRAINTS

=head2 C<display_unique>

=over 4

=item * L</display>

=back

=cut

__PACKAGE__->add_unique_constraint("display_unique", ["display"]);

=head2 C<name_kind_id_unique>

=over 4

=item * L</name>

=item * L</kind_id>

=back

=cut

__PACKAGE__->add_unique_constraint("name_kind_id_unique", ["name", "kind_id"]);

=head1 RELATIONS

=head2 kind

Type: belongs_to

Related object: L<Pooru::Schema::Result::Kind>

=cut

__PACKAGE__->belongs_to(
  "kind",
  "Pooru::Schema::Result::Kind",
  { id => "kind_id" },
  {
    is_deferrable => 0,
    join_type     => "LEFT",
    on_delete     => "NO ACTION",
    on_update     => "CASCADE",
  },
);

=head2 media_tags

Type: has_many

Related object: L<Pooru::Schema::Result::MediaTag>

=cut

__PACKAGE__->has_many(
  "media_tags",
  "Pooru::Schema::Result::MediaTag",
  { "foreign.tag_id" => "self.id" },
  { cascade_copy => 0, cascade_delete => 0 },
);

=head2 medias

Type: many_to_many

Composing rels: L</media_tags> -> media

=cut

__PACKAGE__->many_to_many("medias", "media_tags", "media");


# Created by DBIx::Class::Schema::Loader v0.07052 @ 2025-04-26 09:36:47
# DO NOT MODIFY THIS OR ANYTHING ABOVE! md5sum:XopZiRzgoNJuweuyFj9elA


# You can replace this text with custom code or comments, and it will be preserved on regeneration
1;
